import request from '@/utils/request'

// 查看系统邮件提醒周期配置-分页/dev-api/iscs/notify/getIsMailNotifyConfigPage
export function listIsMailNotifyConfigPage(query) {
    return request({
        url: '/iscs/notify/getIsMailNotifyConfigPage',
        method: 'get',
        params: query
    })
}


// 新增系统邮件提醒周期配置 /dev-api/iscs/notify/insertIsMailNotifyConfig
export function addIsMailNotifyConfig(data) {
    return request({
        url: '/iscs/notify/insertIsMailNotifyConfig',
        method: 'post',
        data: data
    })
}


// 删除系统邮件提醒周期配置  ​/dev-api​/iscs​/notify​/deleteIsMailNotifyConfigByConfigIds
export function deleteIsMailNotifyConfig(data) {
    return request({
        url: '/iscs/notify/deleteIsMailNotifyConfigByConfigIds?configIds=' + data,
        method: 'post',
    })
}


// 修改系统邮件提醒周期配置 /dev-api/iscs/notify/updateIsMailNotifyConfig
export function updateIsMailNotifyConfig(data) {
    return request({
        url: '/iscs/notify/updateIsMailNotifyConfig',
        method: 'post',
        data: data
    })
}


// 获取系统邮件提醒周期配置详细信息 /dev-api​/iscs​/notify​/selectIsMailNotifyConfigById
export function getIsMailNotifyConfigById(configId) {
    return request({
        url: '/iscs/notify/selectIsMailNotifyConfigById?configId=' + configId,
        method: 'get',
    })
}
